#include <p18cxxx.h>
#include <adc.h>
#include "lcd.h"


//setting the pragma
#pragma config PLLDIV = 5 //5 for 20MHz input
#pragma config CPUDIV = OSC4_PLL6 //96/6=16MHz clock for Vdd=3.3v
#pragma config USBDIV = 2 //usb clock source /2
#pragma config FOSC = HSPLL_HS //hs osc with PLL enbl
#pragma config PWRT = ON //power up timer on
#pragma config BOR = OFF // no brown out reset
#pragma config VREGEN = OFF //no usb voltage regulator
#pragma config WDT = OFF //no watch dog timer
#pragma config MCLRE = ON //enbl mclr
#pragma config PBADEN = OFF //port b 0,1,2,3 I/O rst
#pragma config STVREN = ON //enbl stack overflow rst
#pragma config LVP = OFF //no low vltg prog 
#pragma config ICPRT = ON //I.C.P.
#pragma config DEBUG = ON //enbl background debugr
#pragma config CPB = OFF //code protect off
#pragma config CPD = OFF //data protect off

//************************************************************************* //

void main(void)
{
	unsigned int speed;
//inistialize ports used
	TRISD =0;
	
//RA5 is analog input
//RA0-4 is digital output
	ADCON1 = 0b00001010;              
	TRISA  = 0b00100000; 
	TRISAbits.TRISA0 = 0;
	TRISAbits.TRISA1 = 0;
 	TRISAbits.TRISA2 = 0;
 	TRISAbits.TRISA3 = 0;
 	TRISAbits.TRISA4 = 0; 
	TRISAbits.TRISA5 = 1;

	//OpenADC(ADC_FOSC_4 & ADC_RIGHT_JUST & ADC_0_TAD, ADC_CH0 & ADC_INT_OFF & ADC_VREFPLUS_VDD & ADC_VREFMINUS_VSS, 0b1010);
	delay(32768);//100ms

//initialize display
	initialize_display();
	delay(32768);//100ms    

//display two images (xcord,ycord,width,height,image)
	display_bg(55,55,14,16,&"image01.c"[0]);
	display_bg(0,10,14,16,&"image01.c"[0]);

	while(1){

	//A to D work in progress
	/*ConvertADC();
	while( BusyADC() );

	speed = ReadADC();
	CloseADC(); 

		if(speed<=2)
			display_bg(0,65,17,22,&"belt.c"[0]);
		else
			display_bg(0,0,17,22,&"belt.c"[0]);*/

		;
	}
	
}
